Amazon Neptune 引擎版本 1.0.2.1 - Amazon Neptune
Amazon Web Services 文档中描述的 Amazon Web Services 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 Amazon Web Services 服务入门

本文属于机器翻译版本。若本译文内容与英语原文存在差异,则一律以英文原文为准。

Amazon Neptune 引擎版本 1.0.2.1

此版本的后续补丁版本

此引擎版本中的新增功能

  • 通过与 Amazon OpenSearch Service 的集成,增加了全文搜索功能。请参阅Neptune 全文搜索

  • 添加了使用实验室模式为大量谓词创建第四个索引(OSGP 索引)的选项。请参阅OSGP 索引

  • 向 SPARQL Explain 增加了详细信息 模式。有关详细信息,请参阅 使用 SPARQLexplain详细信息模式输出

  • 将实验模式信息添加到引擎状态报告中。有关更多信息,请参阅 实例状态

  • 数据库集群快照现在可以跨Amazon区域。请参阅复制快照

此引擎版本中的改进

  • 提高了处理大量谓词时的性能。

  • 增强了查询优化。虽然这对客户来说应该完全透明,但我们建议您在升级之前测试您的应用程序,以确保它们按预期运行。

  • 对错误报告进行了小的增强。

  • 添加了对 Gremlin .project().identity() 步骤的优化。

  • 添加了对非终端 Gremlin .union() 案例的优化。

  • 添加了对 Gremlin .path().by() 遍历的原生支持。

  • 添加了对 Gremlin .coalesce() 的原生支持。

  • 进一步优化了批量写入。

  • 我们现在要求 HTTPS 连接至少使用 TLS 版本 1.2 或更高版本,以防止使用过时/不安全的密码。

在此引擎版本中修复的缺陷

  • 修复了一个 Gremlin addE() 内部遍历处理错误。

  • 修复了由于 AST 注释从子遍历泄漏到父级导致的 Gemlin 错误。

  • 修复了在 select() 之后调用 .otherV() 时 Gremlin 中出现的错误。

  • 修复了一个 Gremlin 错误,该错误导致了某些 .hasLabel() 步骤在 bothE() 步骤执行后失败。

  • 对 Gremlin .sum() 和 .project() 进行了小的修复。

  • 修复了在处理缺少右括号的 SPARQL 查询时的错误。

  • 修复了 SPARQL Explain 中的一些小错误。

  • 修复了处理并发获取加载状态请求的错误。

  • 减少了执行一些带有 .project() 步骤的 Grenolin 遍历所用的内存。

  • 修复了 SPARQL 中特殊值的数值比较。请参阅标准合规性

此版本支持的查询语言版本

将数据库集群升级到 1.0.2.1 版之前,请确保您的项目与以下查询语言版本兼容:

  • Gemlin 版本: 3.4.1

  • SPARQL 版本: 1.1

升级到发动机 1.0.2.1 版的路径

您可以将任何以前的 Neptune 引擎版本手动升级到此版本。

您不会自动升级到此版本。

升级到此版本

Amazon Neptune 1.0.2.1 现已上市。

如果数据库群集运行的引擎版本具有此版本的升级路径,则现在有资格进行升级。您可以使用控制台上的数据库集群操作或者使用开发工具包来升级任何符合条件的集群。以下 CLI 命令将立即升级符合条件的群集:

针对 Linux、OS X 或 Unix:

aws neptune modify-db-cluster \ --db-cluster-identifier <your-neptune-cluster> \ --engine-version 1.0.2.1 \ --apply-immediately

对于 Windows:

aws neptune modify-db-cluster ^ --db-cluster-identifier <your-neptune-cluster> ^ --engine-version 1.0.2.1 ^ --apply-immediately

更新将同时应用于数据库集群中的所有实例。更新需要在这些实例上重新启动数据库,因此,会出现从 20 到 30 秒到几分钟的停机,之后您可以继续使用数据库集群。

有关升级引擎版本的更多信息,请参阅Neptune 引擎更新. 如果您有任何问题或疑虑,请通过AmazonSupport 团队可通过社区论坛和通过AmazonPremium Support.